Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_RT_ORB_Loader Class Reference

`#include <RT_ORB_Loader.h>`

Inheritance diagram for TAO_RT_ORB_Loader:

[legend]
Collaboration diagram for TAO_RT_ORB_Loader:

[legend]
List of all members.

## Public Methods
| TAO_RT_ORB_Loader (void)
| Constructor.
virtual | ~TAO_RT_ORB_Loader (void)
| Destructor.
virtual int | init (int argc, ACE_TCHAR *[])
| Initialize the RT ORB loader hooks.

## Constructor & Destructor Documentation

TAO_RT_ORB_Loader::TAO_RT_ORB_Loader | ( | void |  | ) |

| Constructor.

TAO_RT_ORB_Loader::~TAO_RT_ORB_Loader | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

int TAO_RT_ORB_Loader::init | ( | int | argc,
|  | ACE_TCHAR * | []
| ) | `[virtual]`

| Initialize the RT ORB loader hooks. Reimplemented from ACE_Shared_Object.

The documentation for this class was generated from the following files:

- RT_ORB_Loader.h
- RT_ORB_Loader.cpp